package ejb;

import javax.ejb.EJB;
import javax.ejb.Stateful;

/**
 *
 * @author Dies Koper
 */
@Stateful
public class SessionABean implements SessionARemote {

    @EJB(name = "ejb/SessionBBean", beanInterface = SessionBRemote.class)
    SessionBRemote sessionBBean;

    public void call(int id) {

        System.out.println(id + ": Entered SessionABean.call...");

        // sleep to prevent method to finish before other clients
        // have invoked requests...
        System.out.println(id + ": Sleep 5 sec...");
        System.out.flush();
        try {
            Thread.sleep(5000);
        } catch (InterruptedException ex) {
            ex.printStackTrace();
        }

        System.out.println(id + ": Calling sessionB.call method...");
        System.out.flush();
        sessionBBean.call(id);

        System.out.println(id + ": Leaving SessionABean.call");
        System.out.flush();
    }
}
